Get inbound telephony configuration
Return the current inbound telephony configuration for an assistant.
curl -X GET "https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/inbound" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/inbound"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/inbound", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/inbound", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000/telephony/inbound')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
/assistants/{assistantId}/telephony/inboundTarget server for requests. Edit to use your own host.
Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Assistant UUID
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Path Parameters
Assistant UUID
Responses
Inbound telephony configuration